Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.invoker
Class AnonInvoker

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.invoker.Invoker
            |
            +--uk.ac.man.bioinf.apps.invoker.AnonInvoker

All Implemented Interfaces:
  Runnable

public abstract class AnonInvoker
extends Invoker

AnonInvoker.java This class is used with the InvokerInternalQueue. It is meant to be used as a Anonymous class hence the name. The idea is that you over ride the slow method with the program logic which takes a long time, and is done in the Queue's thread. The doRun() method on the other hand is run in the Systems main EventThread. Parameters can be passed between the slow and fast method by the "getSlowReturn" method. It is also possible to pass in a param Object when OuterClass references are not appropriate.

Created: Mon Dec 07 13:43:59 1998

Compliant: 1.1

Version:
  $Id: AnonInvoker.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`AnonInvoker()`
`AnonInvoker(Object source)`
`AnonInvoker(Object source, Object param)`

Method Summary
`Object` | `getSlowReturn()`
`abstract Object` | `slow()`
`void` | `slowImpl()`

Methods inherited from class uk.ac.man.bioinf.apps.invoker.Invoker
`doRun, getParameter, getParameter, getSource, run, setExceptionHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnonInvoker

    public AnonInvoker()

### AnonInvoker

    public AnonInvoker(Object source)

### AnonInvoker

    public AnonInvoker(Object source,
                       Object param)

Method Detail

### slow

    public abstract Object slow()

### slowImpl

    public void slowImpl()

### getSlowReturn

    public Object getSlowReturn()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD